Loading...
Searching...
No Matches
Sip_p_asserted_identity

## Data Structures

struct | sip_p_asserted_identity_s
| Structure for P-Asserted-Identity header. More...

## Macros

#define | sip_p_asserted_identity(sip)
| Access a SIP P-Asserted-Identity header structure #sip_p_asserted_identity_t from sip_t.
#define | SIP_P_ASSERTED_IDENTITY_INIT()
| Initializer for structure #sip_p_asserted_identity_t.
#define | SIPTAG_P_ASSERTED_IDENTITY(x)
| Tag list item for pointer to a P-Asserted-Identity header structure #sip_p_asserted_identity_t.
#define | SIPTAG_P_ASSERTED_IDENTITY_REF(x)
| Tag list item for reference to a P-Asserted-Identity header pointer.
#define | SIPTAG_P_ASSERTED_IDENTITY_STR(s)
| Tag list item for string with P-Asserted-Identity header value.
#define | SIPTAG_P_ASSERTED_IDENTITY_STR_REF(x)
| Tag list item for reference to a P-Asserted-Identity header string.

## Functions

issize_t | sip_p_asserted_identity_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP P-Asserted-Identity header.
issize_t | sip_p_asserted_identity_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP P-Asserted-Identity header.
sip_p_asserted_identity_t * | sip_p_asserted_identity_init (sip_p_asserted_identity_t x[1])
| Initialize a structure #sip_p_asserted_identity_t.
int | sip_is_p_asserted_identity (sip_header_t const *header)
| Test if header object is instance of #sip_p_asserted_identity_t.
sip_p_asserted_identity_t * | sip_p_asserted_identity_dup (su_home_t *home, sip_p_asserted_identity_t const *hdr))
| Duplicate a list of P-Asserted-Identity header header structures #sip_p_asserted_identity_t.
sip_p_asserted_identity_t * | sip_p_asserted_identity_copy (su_home_t *home, sip_p_asserted_identity_t const *hdr))
| Copy a list of P-Asserted-Identity header header structures #sip_p_asserted_identity_t.
sip_p_asserted_identity_t * | sip_p_asserted_identity_make (su_home_t *home, char const *s))
| Make a P-Asserted-Identity header structure #sip_p_asserted_identity_t.
sip_p_asserted_identity_t * | sip_p_asserted_identity_format (su_home_t *home, char const *fmt,...)))
| Make a P-Asserted-Identity header from formatting result.

## Variables

msg_hclass_t | sip_p_asserted_identity_class []
| Header class for P-Asserted-Identity header.
tag_typedef_t | siptag_p_asserted_identity
| Tag for P-Asserted-Identity header object.
tag_typedef_t | siptag_p_asserted_identity_str
| Tag for string with P-Asserted-Identity header value.

## Detailed Description

## Macro Definition Documentation

## sip_p_asserted_identity

#define sip_p_asserted_identity | ( |  | sip | ) |

Access a SIP P-Asserted-Identity header structure #sip_p_asserted_identity_t from sip_t.

Since
  New in
  New in 1.12.7.

## SIP_P_ASSERTED_IDENTITY_INIT

#define SIP_P_ASSERTED_IDENTITY_INIT | ( |  | ) |

Initializer for structure #sip_p_asserted_identity_t.

A static #sip_p_asserted_identity_t structure for P-Asserted-Identity header must be initialized with the SIP_P_ASSERTED_IDENTITY_INIT() macro. For instance,

sip_p_asserted_identity_t sip_p_asserted_identity = SIP_P_ASSERTED_IDENTITY_INIT;
SIP_P_ASSERTED_IDENTITY_INIT
#define SIP_P_ASSERTED_IDENTITY_INIT()
Initializer for structure sip_p_asserted_identity_t.
Definition sip_extra.h:1610
sip_p_asserted_identity
#define sip_p_asserted_identity(sip)
Access a SIP P-Asserted-Identity header structure sip_p_asserted_identity_t from sip_t.
Definition sip_extra.h:1592

Since
  New in
  New in 1.12.7.

## SIPTAG_P_ASSERTED_IDENTITY

#define SIPTAG_P_ASSERTED_IDENTITY | ( |  | x | ) |

Tag list item for pointer to a P-Asserted-Identity header structure #sip_p_asserted_identity_t.

The SIPTAG_P_ASSERTED_IDENTITY() macro is used to include a tag item with a pointer to a #sip_p_asserted_identity_t structure in a tag list.

Parameters

  x | pointer to a #sip_p_asserted_identity_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_P_ASSERTED_IDENTITY_REF().

Since
  New in
  New in 1.12.7.

## SIPTAG_P_ASSERTED_IDENTITY_STR

#define SIPTAG_P_ASSERTED_IDENTITY_STR | ( |  | s | ) |

Tag list item for string with P-Asserted-Identity header value.

The SIPTAG_P_ASSERTED_IDENTITY_STR() macro is used to include a tag item with a string containing value of a #sip_p_asserted_identity_t header in a tag list.

Parameters

  s | pointer to a string containing P-Asserted-Identity header value, or NULL.

The string in SIPTAG_P_ASSERTED_IDENTITY_STR() can be converted to a #sip_p_asserted_identity_t header structure by giving the string s has second argument to function sip_p_asserted_identity_make().

The corresponding tag taking reference parameter is SIPTAG_P_ASSERTED_IDENTITY_STR_REF().

Since
  New in
  New in 1.12.7.

## Function Documentation

## sip_is_p_asserted_identity()

int sip_is_p_asserted_identity | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of #sip_p_asserted_identity_t.

Check if the header class is an instance of P-Asserted-Identity header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header p_asserted_identity
  0 | (false) otherwise

Since
  New in
  New in 1.12.7.

## sip_p_asserted_identity_copy()

sip_p_asserted_identity_t * sip_p_asserted_identity_copy | ( | su_home_t * | home,
|  | sip_p_asserted_identity_t const * | hdr )

inline

Copy a list of P-Asserted-Identity header header structures #sip_p_asserted_identity_t.

The function sip_p_asserted_identity_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  p_asserted_identity = sip_p_asserted_identity_copy(home, sip->sip_p_asserted_identity);
  sip_p_asserted_identity_copy
  sip_p_asserted_identity_t * sip_p_asserted_identity_copy(su_home_t *home, sip_p_asserted_identity_t const *hdr))
  Copy a list of P-Asserted-Identity header header structures sip_p_asserted_identity_t.
  Definition sip_extra.h:1744

Returns
  A pointer to newly copied header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## sip_p_asserted_identity_dup()

sip_p_asserted_identity_t * sip_p_asserted_identity_dup | ( | su_home_t * | home,
|  | sip_p_asserted_identity_t const * | hdr )

inline

Duplicate a list of P-Asserted-Identity header header structures #sip_p_asserted_identity_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  p_asserted_identity = sip_p_asserted_identity_dup(home, sip->sip_p_asserted_identity);
  sip_p_asserted_identity_dup
  sip_p_asserted_identity_t * sip_p_asserted_identity_dup(su_home_t *home, sip_p_asserted_identity_t const *hdr))
  Duplicate a list of P-Asserted-Identity header header structures sip_p_asserted_identity_t.
  Definition sip_extra.h:1700

Returns
  A pointer to the newly duplicated #sip_p_asserted_identity_t header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## sip_p_asserted_identity_format()

sip_p_asserted_identity_t * sip_p_asserted_identity_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a P-Asserted-Identity header from formatting result.

Make a new #sip_p_asserted_identity_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure #sip_p_asserted_identity_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## sip_p_asserted_identity_init()

sip_p_asserted_identity_t * sip_p_asserted_identity_init | ( | sip_p_asserted_identity_t | x[1] | ) |

inline

Initialize a structure #sip_p_asserted_identity_t.

An #sip_p_asserted_identity_t structure for P-Asserted-Identity header can be initialized with the sip_p_asserted_identity_init() function/macro. For instance,

sip_p_asserted_identity_t sip_p_asserted_identity;
sip_p_asserted_identity_init(&sip_p_asserted_identity);
sip_p_asserted_identity_init
sip_p_asserted_identity_t * sip_p_asserted_identity_init(sip_p_asserted_identity_t x[1])
Initialize a structure sip_p_asserted_identity_t.
Definition sip_extra.h:1629

Since
  New in
  New in 1.12.7.

## sip_p_asserted_identity_make()

sip_p_asserted_identity_t * sip_p_asserted_identity_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a P-Asserted-Identity header structure #sip_p_asserted_identity_t.

The function sip_p_asserted_identity_make() makes a new #sip_p_asserted_identity_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked #sip_p_asserted_identity_t header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## Variable Documentation

## sip_p_asserted_identity_class

msg_hclass_t sip_p_asserted_identity_class[]

extern

Header class for P-Asserted-Identity header.

The header class sip_p_asserted_identity_class defines how a SIP P-Asserted-Identity header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the #sip_p_asserted_identity_t header structure.

Since
  New in
  New in 1.12.7.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.